#
# spec file for package thud (Version 0.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake gettext gpp klibs ksupp libgpp libjpeg libpng libtiff libz qtdevel qtext qtlib xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd klibs ksupp less libgpp libjpeg libpng libtiff libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qtcompat qtdevel qtext qtlib rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         thud
Copyright:    GPL
Group:        X11/KDE/Multimedia
Provides: thud
Autoreqprov: on
Summary:      A Kickin Drum Machine
Version:      0.1
Release:      395
Source0:      thud-0.1.tar.bz2
Patch0: thud-0.1.dif

%description
A simple drum machine built with 8 WAV-triggering channels.

Authors:
--------
    Billy Biggs <bbiggs@div8.net>

SuSE series: snd

%prep
%setup -n thud
%patch -p 0 -E

%build
TEST=`grep ^VERSION /etc/SuSE-release | cut "-d " -f 3`
MAJOR=`echo $TEST | cut -d. -f 1`
MINOR=`echo $TEST | cut -d. -f 2 | sed -e "s@[^0-9]@@g"`
VERSION=$(( ${MAJOR}*100 + ${MINOR} ))
if [ "$VERSION" -gt 702 ]; then
 export QTDIR=/usr/lib/qt
 export KDEDIR=/opt/kde
fi
%{?suse_update_config:%{suse_update_config -f . }}
CXXFLAGS="$CXXFLAGS -DNDEBUG -O2 " ./configure \
  --prefix=/opt/kde \
  --with-qt-dir=$QTDIR \
  --with-qt-includes=$QTDIR/include \
  --with-qt-libraries=$QTDIR/lib
touch ./configure --reference=./aclocal.m4
touch ./po/Makefile.in --reference=./aclocal.m4
touch ./Makefile.in --reference=./aclocal.m4
touch ./thud/pics/Makefile.in --reference=./aclocal.m4
touch ./thud/doc/en/Makefile.in --reference=./aclocal.m4
touch ./thud/doc/Makefile.in --reference=./aclocal.m4
touch ./thud/Makefile.in --reference=./aclocal.m4
make

%install
make install

%files
%doc COPYING AUTHORS INSTALL README 
%docdir /opt/kde/share/doc
%dir /opt/kde/bin
%dir /opt/kde/share/applnk
%dir /opt/kde/share/applnk/Multimedia
%dir /opt/kde/share/apps/thud
%dir /opt/kde/share/apps/thud/pics
%dir /opt/kde/share/doc/HTML/en/thud
%dir /opt/kde/share/icons
%dir /opt/kde/share/icons/mini
/opt/kde/bin/thud
/opt/kde/share/applnk/Multimedia/thud.kdelnk
/opt/kde/share/doc/HTML/en/thud/thud-1.html
/opt/kde/share/doc/HTML/en/thud/thud-2.html
/opt/kde/share/doc/HTML/en/thud/thud.gif
/opt/kde/share/doc/HTML/en/thud/thud.html
/opt/kde/share/icons/mini/thud.xpm
/opt/kde/share/icons/thud.xpm

%changelog -n thud
* Fri Aug 24 2001 - schwab@suse.de
- Fix missing declarations.
* Fri Aug 24 2001 - ro@suse.de
- added old KDEDIR and QTDIR to build with 7.3 environment
* Tue Aug 14 2001 - ro@suse.de
- bzipped source
- fixed to build
* Sat Aug 11 2001 - ro@suse.de
- autoconf 2.52 fixes
* Sun May 28 2000 - adrian@suse.de
- Added group tag, suse_update_config and new file list
* Sun May 28 2000 - @suse.de
- Spec file created from thud-0.1.tar.gz by autospec
* Thu Mar 30 2000 - adrian@suse.de
- delete the kbase from neededforbuild
* Thu Nov 04 1999 - bs@suse.de
- removed libgif from neededforbuild
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline: line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jun 09 1999 - kettner@suse.de
- Spec file created from thud-0.1.tar.gz by autospec
